<?php 

class tagComponents extends sfComponents
{
  
  public function executeTagNavigator() {
	return sfView::SUCCESS;
  }
  
  public function executePlayer() {
  	
  	if($this->film) {
        $videos = $this->film->getVideos();
        $this->filmVideo = ($videos) ? $videos[0] : null;
  		  		
  		return sfView::SUCCESS;
  	}
  	else
  	    return sfView::NONE;
  
  }

 
}